#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021-2024 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

namespace Gvas { namespace Types {

struct UnrealPropertyBase;
template<typename T>
struct UnrealProperty;
struct ArrayProperty;
struct BoolProperty;
struct ByteProperty;
struct ColourStructProperty;
struct DateTimeStructProperty;
struct EnumProperty;
struct FloatProperty;
struct GenericStructProperty;
struct GuidStructProperty;
struct IntProperty;
struct MapProperty;
struct NoneProperty;
struct ResourceItemValue;
struct RotatorStructProperty;
struct SetProperty;
struct StringProperty;
struct StructProperty;
struct TextProperty;
struct Vector2DStructProperty;
struct VectorStructProperty;

}}
